Bug 425834 - Review Request: portecle - Multipurpose keystore and certificate tool
Review Request: portecle - Multipurpose keystore and certificate tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 06:54 EST by Ville Skyttä
Modified: 2009-04-06 16:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 15:22:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-12-16 06:54:30 EST
http://scop.fedorapeople.org/packages/portecle.spec
http://scop.fedorapeople.org/packages/portecle-1.3-1.fc9.src.rpm

Portecle is a user friendly GUI application for creating, managing and
examining keystores, keys, certificates, certificate requests,
certificate revocation lists and more.

F9+ only because bouncycastle >= 1.38 is needed.  rpmlint is silent.
Comment 1 Parag AN(पराग) 2008-01-10 06:08:38 EST
Should add gtk-update-icon-cache scriptlet
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda

Any reason for not adding doc directory to %doc?
Comment 2 Parag AN(पराग) 2008-01-10 06:09:33 EST
any timeline for releasing bouncycastle >= 1.38?
Comment 3 Parag AN(पराग) 2008-01-10 06:10:29 EST
(In reply to comment #2)
> any timeline for releasing bouncycastle >= 1.38?

sorry its already in rawhide. I checked on F-8 system.
Comment 4 Ville Skyttä 2008-01-10 16:18:52 EST
http://scop.fedorapeople.org/packages/portecle.spec
http://scop.fedorapeople.org/packages/portecle-1.3-2.fc8.src.rpm

* Thu Jan 10 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.3-2
- Update GTK icon cache in post(un)install scriptlets (#425834).

Good catch, thanks.

Stuff in doc/ is not included as %doc because practically all of it is online
help which is already packaged inside the jar and accessible through Portecle's
"Help" menu.  I don't have that strong opinions about it though; if you think
it's better to include a second copy of the whole docs set as %doc, I can add it.
Comment 5 manuel wolfshant 2008-01-10 16:55:34 EST
  Sometimes (many times actually) I prefer to read the docs from a browser or
using less without starting the application.
  Maybe a portecle-docs including just the docs, which can be installed by those
like me who want the docs and don't care about the space on disk would be suited
here? Plus a short polite note (in %desc for instance) "the docs are also
available in a separate package, use yum install blablah to install them". And I
would not impose any requires between the base and the -docs package, since they
would be quite independent of each other.
Comment 6 Ville Skyttä 2008-01-12 05:09:47 EST
I don't like the -docs subpackage idea.  BTW, all the docs are available also on
the portecle.sf.net website.

I'm thinking about looking into what kind of patchwork would it be to install
the docs to /usr/share/doc/$name-$version-$release and to have the Portecle
online help system use them from there instead of from inside the jar.
Comment 7 Ville Skyttä 2008-01-13 03:44:58 EST
I meant to say that I'll look into the patchwork mentioned in comment 6 if you
think it's necessary to get the package approved - personally I think this is
fine as is.  Let me know if you consider it a blocker; I'm leaving the package
as is until then.
Comment 8 Parag AN(पराग) 2008-01-16 07:16:07 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
cc32721356f60caa12517dbc82538af8  portecle-1.3-src.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache and update-desktop-database scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

APPROVED.
Comment 9 Ville Skyttä 2008-01-16 11:14:56 EST
Thanks!

Manuel, I have added your comments to my TODO list for things to look into when
I'm preparing the next upstream Portecle release.
http://portecle.svn.sourceforge.net/viewvc/portecle/trunk/TODO.txt?r1=456&r2=468

New Package CVS Request
=======================
Package Name: portecle
Short Description: Multipurpose keystore and certificate tool
Owners: scop
Cvsextras Commits: yes
Comment 10 manuel wolfshant 2008-01-16 12:12:49 EST
  Thanks for taking it into consideration.
  My idea was just to provide a means to see the docs even if
- you are offline (i.e. no net access, maybe on a laptop), and
- for whatever reason you do not wish to run the application itself.
  This however should not impede using the help system of the application. Your
idea about the merge (comment #6) seems perfect, if feasible without too much
hassle.
Comment 11 Kevin Fenzi 2008-01-16 12:30:43 EST
cvs done.
Comment 12 Ville Skyttä 2008-01-16 15:22:22 EST
Built for devel, closing. 
http://koji.fedoraproject.org/koji/buildinfo?buildID=31789
Comment 13 Fedora Update System 2009-03-16 17:57:05 EDT
portecle-1.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/portecle-1.4-2.fc10
Comment 14 Fedora Update System 2009-04-06 16:28:31 EDT
portecle-1.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.